import type { DatePickerTruncationUnit, DatePickerUnit, DatePickerValue, RelativeDatePickerValue, RelativeIntervalDirection } from "../../../../../querying/filters/types";
export declare function isRelativeValue(value: DatePickerValue | undefined): value is RelativeDatePickerValue;
export declare function isIntervalValue(value: RelativeDatePickerValue): boolean;
export declare function isOffsetIntervalValue(value: RelativeDatePickerValue): boolean;
export declare function getDirection(value: RelativeDatePickerValue | undefined): RelativeIntervalDirection;
export declare function getDirectionDefaultValue(direction: RelativeIntervalDirection): RelativeDatePickerValue | undefined;
export declare function setDirection(value: RelativeDatePickerValue | undefined, direction: RelativeIntervalDirection, fallbackUnit?: DatePickerTruncationUnit): RelativeDatePickerValue | undefined;
export declare function setDirectionAndCoerceUnit(value: RelativeDatePickerValue, direction: RelativeIntervalDirection): RelativeDatePickerValue | undefined;
export declare function getInterval(value: RelativeDatePickerValue): number;
export declare function setInterval(value: RelativeDatePickerValue, interval: number): RelativeDatePickerValue;
export declare function getAvailableTruncationUnits(availableUnits: DatePickerUnit[]): ("year" | "day" | "minute" | "hour" | "quarter" | "week" | "month")[];
export declare function getUnitOptions(value: RelativeDatePickerValue, availableUnits: DatePickerUnit[]): {
    value: "year" | "day" | "minute" | "hour" | "quarter" | "week" | "month";
    label: string;
}[];
export declare function formatDateRange({ value, unit, offsetValue, offsetUnit, options, }: RelativeDatePickerValue): string;
